Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoEvalContinue< EOT > Class Template Reference

Continues until a number of evaluations has been made. More...

`#include <eoEvalContinue.h>`

Inheritance diagram for eoEvalContinue< EOT >:

List of all members.

## Public Member Functions
| eoEvalContinue (eoEvalFuncCounter< EOT > &_eval, unsigned long _totalEval)
| Ctor.
virtual bool | operator() (const eoPop< EOT > &_vEO)
| Returns false when a certain number of evaluations has been done.
virtual unsigned long | totalEvaluations ()
| Returns the number of generations to reach.
virtual std::string | className (void) const
## Private Attributes
eoEvalFuncCounter< EOT > & | eval
unsigned long | repTotalEvaluations

## Detailed Description

### template<class EOT>
class eoEvalContinue< EOT >

Continues until a number of evaluations has been made.

Definition at line 36 of file eoEvalContinue.h.

The documentation for this class was generated from the following file:

- eoEvalContinue.h